//---------------------------------------------------------------------------

#ifndef OLCDH
#define OLCDH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "TDLPortIO.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <NMpop3.hpp>
#include <Psock.hpp>

//---------------------------------------------------------------------------
class TLCDInfo : public TForm
{
__published:	// IDE-managed Components
        TDLPortIO *DLPortIO1;
        TButton *Lopeta_Button1;
        TCheckBox *Mode_CheckBox1;
        TCheckBox *Mode_CheckBox2;
        TCheckBox *Mode_CheckBox3;
        TGroupBox *GroupBox2;
        TCheckBox *Mode_CheckBox4;
        TTimer *UpdateTimer1;
        TTimer *changescreen_Timer1;
        TTimer *POP3_Timer1;
        TNMPOP3 *NMPOP31;
        TMemo *Memo1;
        TMemo *Memo2;
        TPowersock *Powersock1;

        void __fastcall Lopeta_Button1Click(TObject *Sender);
        void __fastcall Mode_CheckBox1Click(TObject *Sender);
        void __fastcall Mode_CheckBox2Click(TObject *Sender);
        void __fastcall Mode_CheckBox3Click(TObject *Sender);
        void __fastcall Mode_CheckBox4Click(TObject *Sender);
        void __fastcall UpdateTimer1Timer(TObject *Sender);
        void __fastcall changescreen_Timer1Timer(TObject *Sender);
        void __fastcall POP3_Timer1Timer(TObject *Sender);
        

private:	// User declarations

public:		// User declarations

        void __fastcall StartLPTDriver(void);
        void __fastcall WriteData(BYTE Data);
        void __fastcall WriteCtrl(BYTE Command);
        void __fastcall InitLCD(void);
        void __fastcall WaitDisplayReady(void);
        void __fastcall SetLCDXY(int x, int y);
        void __fastcall SetLCDCursor(int x, int y);
        void __fastcall ClearLCDText(void);
        void __fastcall ClearLCDGraph(void);
        void __fastcall PrintLCDText(char *string);
        void __fastcall SetLCDPixel(int x, int y);
        void __fastcall Winamp(void);
        void __fastcall MBM(void);
        void __fastcall POP3(void);
        std::string __fastcall IniLineToLCDLine(std::string str2);
        std::string __fastcall VarToValue(std::string var);
        void __fastcall Piirra_BMP(AnsiString filename);
        int __fastcall ANSI2DisplayText(int chr);
        
        __fastcall TLCDInfo(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TLCDInfo *LCDInfo;
//---------------------------------------------------------------------------
#endif

